com.genesyslab.wfm7.API.service.schedule761

## Class SchScenario

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchScenario

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenario
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswUserId` The ID of the user who created the scenario `CfgUser`
    `private SchScenarioSite[]` | `schSites` An array of sites in the scenario.
    `private int` | `schSitesNSizeIs` The number of elements in the 'schSites' array.
    `private SchScenarioSiteStatus[]` | `schSiteStatus` The Status for every site in the scenario.
    `private int` | `schSiteStatusNSizeIs` The number of elements in the 'schSiteStatus' array.
    `private long` | `timestamp` timestamp value
    `private java.lang.String` | `wmComments` Comments
    `private double` | `wmCreateDateTime` Scenario creation date time in GMT time zone.
    `private double` | `wmEndDate` End date of schedule period.
    `private double` | `wmEndDateExt` Extended End date of schedule period.
    `private java.lang.String` | `wmName` Unique scenario name.
    `private int` | `wmScheduleId` Schedule scenario identifier (zero for Master Schedule).
    `private double` | `wmStartDate` Start date of schedule period.
    `private int` | `wmType` Scenario type `ESchScenarioType`
    `private double` | `wmUpdateDateTime` Scenario modification date time in GMT time zone.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenario()`
    `SchScenario(int wmScheduleId, java.lang.String wmName, double wmStartDate, double wmEndDate, double wmEndDateExt, int wmType, java.lang.String wmComments, int schSitesNSizeIs, SchScenarioSite[] schSites, int schSiteStatusNSizeIs, SchScenarioSiteStatus[] schSiteStatus, double wmCreateDateTime, double wmUpdateDateTime, int gswUserId, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswUserId()` Gets the gswUserId value for this SchScenario.
    `SchScenarioSite[]` | `getSchSites()` Gets the schSites value for this SchScenario.
    `int` | `getSchSitesNSizeIs()` Gets the schSitesNSizeIs value for this SchScenario.
    `SchScenarioSiteStatus[]` | `getSchSiteStatus()` Gets the schSiteStatus value for this SchScenario.
    `int` | `getSchSiteStatusNSizeIs()` Gets the schSiteStatusNSizeIs value for this SchScenario.
    `long` | `getTimestamp()` Gets the timestamp value for this SchScenario.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchScenario.
    `double` | `getWmCreateDateTime()` Gets the wmCreateDateTime value for this SchScenario.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this SchScenario.
    `double` | `getWmEndDateExt()` Gets the wmEndDateExt value for this SchScenario.
    `java.lang.String` | `getWmName()` Gets the wmName value for this SchScenario.
    `int` | `getWmScheduleId()` Gets the wmScheduleId value for this SchScenario.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this SchScenario.
    `int` | `getWmType()` Gets the wmType value for this SchScenario.
    `double` | `getWmUpdateDateTime()` Gets the wmUpdateDateTime value for this SchScenario.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this SchScenario.
    `void` | `setSchSites(SchScenarioSite[] schSites)` Sets the schSites value for this SchScenario.
    `void` | `setSchSitesNSizeIs(int schSitesNSizeIs)` Sets the schSitesNSizeIs value for this SchScenario.
    `void` | `setSchSiteStatus(SchScenarioSiteStatus[] schSiteStatus)` Sets the schSiteStatus value for this SchScenario.
    `void` | `setSchSiteStatusNSizeIs(int schSiteStatusNSizeIs)` Sets the schSiteStatusNSizeIs value for this SchScenario.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchScenario.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchScenario.
    `void` | `setWmCreateDateTime(double wmCreateDateTime)` Sets the wmCreateDateTime value for this SchScenario.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this SchScenario.
    `void` | `setWmEndDateExt(double wmEndDateExt)` Sets the wmEndDateExt value for this SchScenario.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this SchScenario.
    `void` | `setWmScheduleId(int wmScheduleId)` Sets the wmScheduleId value for this SchScenario.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this SchScenario.
    `void` | `setWmType(int wmType)` Sets the wmType value for this SchScenario.
    `void` | `setWmUpdateDateTime(double wmUpdateDateTime)` Sets the wmUpdateDateTime value for this SchScenario.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmScheduleId

          private int wmScheduleId

      Schedule scenario identifier (zero for Master Schedule).

    - #### wmName

          private java.lang.String wmName

      Unique scenario name.

    - #### wmStartDate

          private double wmStartDate

      Start date of schedule period. `OleDateTime`

    - #### wmEndDate

          private double wmEndDate

      End date of schedule period. `OleDateTime`

    - #### wmEndDateExt

          private double wmEndDateExt

      Extended End date of schedule period. `OleDateTime`

    - #### wmType

          private int wmType

      Scenario type `ESchScenarioType`

    - #### wmComments

          private java.lang.String wmComments

      Comments

    - #### schSitesNSizeIs

          private int schSitesNSizeIs

      The number of elements in the 'schSites' array.

    - #### schSites

          private SchScenarioSite[] schSites

      An array of sites in the scenario. `SchScenarioSite`

    - #### schSiteStatusNSizeIs

          private int schSiteStatusNSizeIs

      The number of elements in the 'schSiteStatus' array.

    - #### schSiteStatus

          private SchScenarioSiteStatus[] schSiteStatus

      The Status for every site in the scenario. `SchScenarioSiteStatus`

    - #### wmCreateDateTime

          private double wmCreateDateTime

      Scenario creation date time in GMT time zone. `OleDateTime`

    - #### wmUpdateDateTime

          private double wmUpdateDateTime

      Scenario modification date time in GMT time zone. `OleDateTime`

    - #### gswUserId

          private int gswUserId

      The ID of the user who created the scenario `CfgUser`

    - #### timestamp

          private long timestamp

      timestamp value

  - ### Constructor Detail

    - #### SchScenario

          public SchScenario()

    - #### SchScenario

          public SchScenario(int wmScheduleId,
                     java.lang.String wmName,
                     double wmStartDate,
                     double wmEndDate,
                     double wmEndDateExt,
                     int wmType,
                     java.lang.String wmComments,
                     int schSitesNSizeIs,
                     SchScenarioSite[] schSites,
                     int schSiteStatusNSizeIs,
                     SchScenarioSiteStatus[] schSiteStatus,
                     double wmCreateDateTime,
                     double wmUpdateDateTime,
                     int gswUserId,
                     long timestamp)

  - ### Method Detail

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the wmScheduleId value for this SchScenario.
      Returns:
        wmScheduleId

    - #### setWmScheduleId

          public void setWmScheduleId(int wmScheduleId)

      Sets the wmScheduleId value for this SchScenario.
      Parameters:
        `wmScheduleId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this SchScenario.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this SchScenario.
      Parameters:
        `wmName` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this SchScenario.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this SchScenario.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this SchScenario.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this SchScenario.
      Parameters:
        `wmEndDate` -

    - #### getWmEndDateExt

          public double getWmEndDateExt()

      Gets the wmEndDateExt value for this SchScenario.
      Returns:
        wmEndDateExt

    - #### setWmEndDateExt

          public void setWmEndDateExt(double wmEndDateExt)

      Sets the wmEndDateExt value for this SchScenario.
      Parameters:
        `wmEndDateExt` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this SchScenario.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this SchScenario.
      Parameters:
        `wmType` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchScenario.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchScenario.
      Parameters:
        `wmComments` -

    - #### getSchSitesNSizeIs

          public int getSchSitesNSizeIs()

      Gets the schSitesNSizeIs value for this SchScenario.
      Returns:
        schSitesNSizeIs

    - #### setSchSitesNSizeIs

          public void setSchSitesNSizeIs(int schSitesNSizeIs)

      Sets the schSitesNSizeIs value for this SchScenario.
      Parameters:
        `schSitesNSizeIs` -

    - #### getSchSites

          public SchScenarioSite[] getSchSites()

      Gets the schSites value for this SchScenario.
      Returns:
        schSites

    - #### setSchSites

          public void setSchSites(SchScenarioSite[] schSites)

      Sets the schSites value for this SchScenario.
      Parameters:
        `schSites` -

    - #### getSchSiteStatusNSizeIs

          public int getSchSiteStatusNSizeIs()

      Gets the schSiteStatusNSizeIs value for this SchScenario.
      Returns:
        schSiteStatusNSizeIs

    - #### setSchSiteStatusNSizeIs

          public void setSchSiteStatusNSizeIs(int schSiteStatusNSizeIs)

      Sets the schSiteStatusNSizeIs value for this SchScenario.
      Parameters:
        `schSiteStatusNSizeIs` -

    - #### getSchSiteStatus

          public SchScenarioSiteStatus[] getSchSiteStatus()

      Gets the schSiteStatus value for this SchScenario.
      Returns:
        schSiteStatus

    - #### setSchSiteStatus

          public void setSchSiteStatus(SchScenarioSiteStatus[] schSiteStatus)

      Sets the schSiteStatus value for this SchScenario.
      Parameters:
        `schSiteStatus` -

    - #### getWmCreateDateTime

          public double getWmCreateDateTime()

      Gets the wmCreateDateTime value for this SchScenario.
      Returns:
        wmCreateDateTime

    - #### setWmCreateDateTime

          public void setWmCreateDateTime(double wmCreateDateTime)

      Sets the wmCreateDateTime value for this SchScenario.
      Parameters:
        `wmCreateDateTime` -

    - #### getWmUpdateDateTime

          public double getWmUpdateDateTime()

      Gets the wmUpdateDateTime value for this SchScenario.
      Returns:
        wmUpdateDateTime

    - #### setWmUpdateDateTime

          public void setWmUpdateDateTime(double wmUpdateDateTime)

      Sets the wmUpdateDateTime value for this SchScenario.
      Parameters:
        `wmUpdateDateTime` -

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this SchScenario.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this SchScenario.
      Parameters:
        `gswUserId` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchScenario.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchScenario.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.